package com.hh.arome.http.response;

/**
 * ampe平台配置参数
 */
public class AmpeJsonResponse {

    // iot平台的产品productId
    private String PRODUCT_ID;
    // iot平台关联设备的设备编号
    private String DEVICE_ID;
    // 开放平台的移动应用AppId
    private String HOST_APP_ID;
    // 启动的支付宝小程序AppId, 需要在ampe平台，在移动应用管理中绑定该小程序AppId
    private String APP_ID;
    // ampe平台，激活设备需要的签名，由productId + "_" + deviceId 获取签名
    private String signature;

    public String getPRODUCT_ID() {
        return PRODUCT_ID;
    }

    public void setPRODUCT_ID(String PRODUCT_ID) {
        this.PRODUCT_ID = PRODUCT_ID;
    }

    public String getDEVICE_ID() {
        return DEVICE_ID;
    }

    public void setDEVICE_ID(String DEVICE_ID) {
        this.DEVICE_ID = DEVICE_ID;
    }

    public String getHOST_APP_ID() {
        return HOST_APP_ID;
    }

    public void setHOST_APP_ID(String HOST_APP_ID) {
        this.HOST_APP_ID = HOST_APP_ID;
    }

    public String getAPP_ID() {
        return APP_ID;
    }

    public void setAPP_ID(String APP_ID) {
        this.APP_ID = APP_ID;
    }

    public String getSignature() {
        return signature;
    }

    public void setSignature(String signature) {
        this.signature = signature;
    }

    @Override
    public String toString() {
        return "AmpeJsonResponse{" +
                "PRODUCT_ID='" + PRODUCT_ID + '\'' +
                ", DEVICE_ID='" + DEVICE_ID + '\'' +
                ", HOST_APP_ID='" + HOST_APP_ID + '\'' +
                ", APP_ID='" + APP_ID + '\'' +
                ", signature='" + signature + '\'' +
                '}';
    }
}
